// @licstart  The following is the entire license notice for the
//  JavaScript code in this page.
//
// Copyright (C) 2019 Jesús E.
//
// Menu is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// Menu is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with Menu. If not, see <http://www.gnu.org/licenses/>.
//
// @licend  The above is the entire license notice for the
//  JavaScript code in this page.

document.addEventListener('DOMContentLoaded', () => {

    function toggleMenu() {
        document.getElementById('menu-toggle').addEventListener('click', function(e) {
            let sidebar = document.getElementById("sidebar-wrapper");
            if (sidebar.classList) {
                sidebar.classList.toggle("active");
            }
        });
    }

    function closeMenu() {
        document.getElementById('menu-close').addEventListener('click', function(e) {
            let close = document.getElementById("sidebar-wrapper");
            if (close.classList) {
                close.classList.remove("active");
            }
        });
    }

    // Open Menu
    toggleMenu();

    // Close Menu
    closeMenu();

});
